package com.xhkjedu.sapi.mapper.assess;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.sapi.model.assess.TAssessTemplate;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface AssessTemplateMapper extends TkMapper<TAssessTemplate> {

    //获取所有评价模版
    List<Map> listTemplates(Integer schoolid);

    //删除模版关联指标
    Integer deleteTemplateQuota(Integer templateid);

    //修改模版状态
    Integer updateTemplatestate(Integer templatestate, Integer templateid);

    //模版关联的指标集合
    List<Integer> listQutosByTemplateid(Integer templateid);

    //修改模版关联的指标数量
    void updateQuotanum(@Param("templateids") List<Integer> templateids);

    //获取指标关联模版id
    List<Integer> listTeimplateidsByQutoaid(Integer quotaid);
}
